%define libgcrypt_version 1.1.94

%define major	10
%define libname %mklibname %{name} %{major}
%define libname_orig lib%{name}
%define develname %mklibname %{name} -d

Summary:	Open Crypto Development Kit
Name:		opencdk
Version:	0.6.6
Release:	%mkrel 12
License:	GPLv2+
Group:		System/Libraries
URL:		http://www.gnutls.org/
Source0:	http://www.gnu.org/software/gnutls/releases/opencdk/%{name}-%{version}.tar.bz2
Source1:	http://www.gnu.org/software/gnutls/releases/opencdk/%{name}-%{version}.tar.bz2.sig
Patch0:		opencdk-0.6.6-link.patch
BuildRequires:	zlib-devel
BuildRequires:	libgcrypt-devel >= %{libgcrypt_version}

%description
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.

%package -n	%{libname}
Summary:	Open Crypto Development Kit
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Provides:	%{libname_orig} = %{version}-%{release}

%description -n	%{libname}
%{name} library provides basic parts of the OpenPGP message format.
Due to some possible security problems, the library also implements
parts of draft-ietf-openpgp-rfc2440bis-08.txt.

The aim of the library is *not* to replace any available OpenPGP version.
There will be no real support for key management (sign, revoke,
alter preferences, ...) and some other parts are only rudimentary
available. The main purpose is to handle and understand OpenPGP
packets and to use basic operations. For example to encrypt/decrypt
or to sign/verify and packet routines.


%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	libgcrypt-devel >= %{libgcrypt_version}
Obsoletes:	%mklibname %{name} 8 -d

%description -n	%{develname}
%{name} library provides basic parts of the OpenPGP message format.

You will need to install this package if you want to develop or 
compile any applications/libraries that use %{name}.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

install -D -m 644 src/opencdk.m4 %{buildroot}%{_datadir}/aclocal/opencdk.m4

%multiarch_binaries %{buildroot}%{_bindir}/*-config

%files -n %{libname}
%doc COPYING
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%doc doc/opencdk-api.html
%{_bindir}/opencdk-config
%multiarch %{multiarch_bindir}/*-config
%{_datadir}/aclocal/*.m4
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/opencdk.pc


%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.6.6-12.mga6
+ Revision: 956515
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 fwang <fwang> 0.6.6-11.mga6
+ Revision: 875460
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-10.mga5
+ Revision: 749872
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-9.mga5
+ Revision: 683192
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.6-8.mga4
+ Revision: 508643
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.6-7.mga3
+ Revision: 361915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 0.6.6-6.mga3
+ Revision: 307535
- fix linkage
- drop .la file

* Wed Jan 12 2011 ahmad <ahmad> 0.6.6-6.mga1
+ Revision: 6966
- disable checks for now
- drop old/unneeded scriptlets
- imported package opencdk


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-5mdv2010.1
+ Revision: 521153
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.6-4mdv2010.0
+ Revision: 426275
- rebuild

* Tue Jul 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.6-3mdv2009.0
+ Revision: 232817
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat Jan 12 2008 Funda Wang <fwang@mandriva.org> 0.6.6-1mdv2008.1
+ Revision: 149613
- New version 0.6.6

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.13-1mdv2008.0
+ Revision: 51599
- new version
- new devel library policy
- add checks
- some minor changes
- Import opencdk



* Sun Jul 23 2006 Emmanuel Andry <eandry@mandriva.org> 0.5.8-1mdv2007.0
- 0.5.8
- drop patch 0 (applied upstream)

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.5.5-4mdk
- Rebuild

* Thu Feb 03 2005 Abel Cheung <deaddog@mandrake.org> 0.5.5-3mdk
- multiarch

* Wed Dec 22 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.5.5-2mdk
- fix %%libname_orig

* Sat Dec 18 2004 Abel Cheung <deaddog@mandrake.org> 0.5.5-1mdk
- New version
- make check

* Thu May 20 2004 Abel Cheung <deaddog@deaddog.org> 0.5.4-2mdk
- Source forgot to install m4 file
- Patch0: automake 1.8 compatibility

* Mon Apr 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.4-1mdk
- Release 0.5.4
- Switch to gzip source, since they are signed upstream

* Sat Dec 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.5.3-1mdk
- new release

* Tue Oct 14 2003 Abel Cheung <deaddog@deaddog.org> 0.5.1-1mdk
- First Mandrake package
